import { JobCreateDto } from 'src/dtos/job.dto';
import { ArgsOf } from 'src/repositories/event.repository';
import { BaseService } from 'src/services/base.service';
export declare class JobService extends BaseService {
    create(dto: JobCreateDto): Promise<void>;
    onJobRun(...[queueName, job]: ArgsOf<'JobRun'>): Promise<void>;
    private onDone;
}
